From: Tobias Geerinckx-Rice <me@tobias.gr>
Date: Sat, 14 Nov 2020 15:40:38 +0100
Subject: [PATCH] gnu: perl-www-curl: Remove undeclared symbols.

Copied verbatim from the FreeBSD port[0].

[0]: https://www.freshports.org/www/p5-WWW-Curl

--- a/Makefile.PL	2014-02-21 08:08:09.000000000 -0800
+++ b/Makefile.PL	2020-04-20 15:36:35.008798000 -0700
@@ -100,6 +100,13 @@
      print "Found curl.h in $curl_h\n";
      my @syms;
      my $has_cpp = 0;
+     my @skiplist = qw/
+        CURL_DID_MEMORY_FUNC_TYPEDEFS
+        CURL_STRICTER
+        CURLINC_CURL_H
+        CURL_WIN32
+        CURLOPT
+     /;
      open(H_IN, "-|", "cpp", $curl_h) and $has_cpp++;
      unless ($has_cpp) {
          warn "No working cpp ($!).  Parsing curl.h in Perl";
@@ -121,6 +128,7 @@
     open (H, "<", $curl_h) or die ("Cannot open $curl_h: ".$!);
     while(<H>) {
         if (/^#define (CURL[A-Za-z0-9_]*)/) {
+            next if $1 ~~ @skiplist;
             push @syms, $1;
         }
     }
le>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=7d05e6c89e0de9853aa68dce6e21ea6451d40946'>refs</a><a class='active' href='/guix/log/gnu/installer/dump.scm'>log</a><a href='/guix/tree/gnu/installer/dump.scm?id=7d05e6c89e0de9853aa68dce6e21ea6451d40946'>tree</a><a href='/guix/commit/gnu/installer/dump.scm?id=7d05e6c89e0de9853aa68dce6e21ea6451d40946'>commit</a><a href='/guix/diff/gnu/installer/dump.scm?id=7d05e6c89e0de9853aa68dce6e21ea6451d40946'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/installer/dump.scm'>
<input type='hidden' name='id' value='7d05e6c89e0de9853aa68dce6e21ea6451d40946'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/log/?id=7d05e6c89e0de9853aa68dce6e21ea6451d40946'>root</a>/<a href='/guix/log/gnu?id=7d05e6c89e0de9853aa68dce6e21ea6451d40946'>gnu</a>/<a href='/guix/log/gnu/installer?id=7d05e6c89e0de9853aa68dce6e21ea6451d40946'>installer</a>/<a href='/guix/log/gnu/installer/dump.scm?id=7d05e6c89e0de9853aa68dce6e21ea6451d40946'>dump.scm</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/guix/log/gnu/installer/dump.scm?id=7d05e6c89e0de9853aa68dce6e21ea6451d40946&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
<tr><td><span title='2022-11-02 15:52:19 +0100'>2022-11-02</span></td><td><a href='/guix/commit/gnu/installer/dump.scm?id=80387bc7c3966602800116f5be3893c3d3044a96'>installer: Add core dump support.</a><span class='msg-avail'>...<span class='msg-tooltip'>Fixes: &lt;https://issues.guix.gnu.org/58733&gt;

* gnu/installer.scm (installer-program): Enable core dump generation.
* gnu/installer/dump.scm (%core-dump): New variable.
(prepare-dump): Copy the core dump file.
* gnu/installer/newt/welcome.scm (run-welcome-page): Propose to report an
installation that previously generated a core dump.
</span></span></td><td>Mathieu Othacehe</td></tr>
<tr><td><span title='2022-02-02 16:46:44 +0100'>2022-02-02</span></td><td><a href='/guix/commit/gnu/installer/dump.scm?id=ad55ccf9b18000144a4e0f28a0f9e57132f94edc'>installer: Make dump archive creation optional and selective.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/installer.scm (installer-program): Let the installer customize
the dump archive.
* gnu/installer/dump.scm (prepare-dump, make-dump): Split make-dump in
prepare-dump, which copies the files necessary for the dump, and
make-dump which creates the archive.
* gnu/installer/record.scm (installer): Add report-page field.  Change
documented return value of exit-error.
* gnu/installer/newt.scm (exit-error): Change arguments to be a string
containing the error.  Let the user choose between exiting and
initiating a dump.
(report-page): Add new variable.
* gnu/installer/newt/page.scm (run-dump-page): New variable.
* gnu/installer/newt/dump.scm: Delete it.

Signed-off-by: Mathieu Othacehe &lt;othacehe@gnu.org&gt;
</span></span></td><td>Josselin Poiret</td></tr>
<tr><td><span title='2022-02-02 16:46:42 +0100'>2022-02-02</span></td><td><a href='/guix/commit/gnu/installer/dump.scm?id=0d37a5df7e709cadca97cfbbf9c680dfe54b8302'>installer: Add crash dump upload support.</a><span class='msg-avail'>...<span class='msg-tooltip'>Suggested-by: Josselin Poiret &lt;dev@jpoiret.xyz&gt;

* gnu/installer/dump.scm: New file.
* gnu/installer/newt/dump.scm: New file.
* gnu/local.mk (INSTALLER_MODULES): Add them.
* gnu/installer/record.scm (&lt;installer&gt;)[dump-page]: New field.
* gnu/installer/steps.scm (%current-result): New variable.
(run-installer-steps): Update it.
* gnu/installer.scm (installer-program): Add tar and gip to the installer
path. Add guile-webutils and gnutls to the Guile extensions. Generate and send
the crash dump report.
* gnu/installer/newt.scm (exit-error): Add a report argument. Display the
report id.
(dump-page): New procedure.
(newt-installer): Update it.
</span></span></td><td>Mathieu Othacehe</td></tr>
